# Uses of Class
org.springframework.aot.hint.ResourceBundleHint.Builder

Packages that use ResourceBundleHint.Builder
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ResourceBundleHint.Builder in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return ResourceBundleHint.Builder
Modifier and Type
Method
Description
`ResourceBundleHint.Builder`
ResourceBundleHint.Builder.`baseName(String baseName)`
Use the `baseName` of the resource bundle.
`ResourceBundleHint.Builder`
ResourceBundleHint.Builder.`onReachableType(TypeReference reachableType)`
Make this hint conditional on the fact that the specified type can be resolved.
Method parameters in org.springframework.aot.hint with type arguments of type ResourceBundleHint.Builder
Modifier and Type
Method
Description
`ResourceHints`
ResourceHints.`registerResourceBundle(String baseName, Consumer<ResourceBundleHint.Builder> resourceHint)`
Register that the resource bundle with the specified base name should be made available at runtime.